Get GSTR-1A NIL Supplies
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/nil/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/nil/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/nil/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"nil": {
"flag": "N",
"chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
"inv": [
{
"sply_ty": "INTRB2B",
"expt_amt": 123.45,
"nil_amt": 1470.85,
"ngsup_amt": 1258.5
},
{
"sply_ty": "INTRB2C",
"expt_amt": 123.45,
"nil_amt": 1470.85,
"ngsup_amt": 1258.5
},
{
"sply_ty": "INTRAB2B",
"expt_amt": 123.45,
"nil_amt": 1470.85,
"ngsup_amt": 1258.5
},
{
"sply_ty": "INTRAB2C",
"expt_amt": 123.45,
"nil_amt": 1470.85,
"ngsup_amt": 1258.5
}
]
}
}
}
}Get GSTR-1A NIL Supplies
API call NIL for getting liabilities such as .Nil Rated.
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
nil
/
{year}
/
{month}
Get GSTR-1A NIL Supplies
Response body schema
View response body schema
Response schema
For successful responses, this reference describes the GSTN payload atdata.data.
View Excel field reference
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.
Compliance API version.
API key for identification.
Path Parameters
Return year, for example 2025.
Return month, for example 04.
Response
200 - application/json
Success
The response is of type object.
Was this page helpful?
āI